Name:           openuniverse
Version:        1.0beta3
Release:        %mkrel 1 

Summary:        OpenGL space simulator focused on the Solar System
Group:          Sciences/Astronomy
License:        GPLv2+
URL:            http://www.openuniverse.org/
Source0:        http://download.sourceforge.net/openuniverse/%{name}-%{version}.tar.xz
Source1:        %{name}.1
Patch0:         %{name}-1.0beta3-strings.patch
Patch1:         %{name}-1.0beta3-gl.patch
Patch2:         %{name}-1.0beta3-yacc.patch
Patch3:         %{name}-1.0beta3-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:  bison flex
BuildRequires:  %{_lib}mesagl1-devel
BuildRequires:  %{_lib}mesaglu1-devel
BuildRequires:  %{_lib}freeglut-devel
BuildRequires:  %{_lib}xmu-devel
BuildRequires:  %{_lib}jpeg-devel
BuildRequires:  %{_lib}ice-devel
BuildRequires:  %{_lib}sm-devel
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}xext-devel
BuildRequires:  %{_lib}xi-devel
BuildRequires:  ImageMagick


%description
OpenUniverse is a space simulator.  It currently focusses on the Solar
System and lets you visit all of its planets, major moons and a vast
collection of smaller bodies in colorful, glorious and realtime 3D.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .strings
%patch1 -p1 -b .gl
%patch2 -p1 -b .yacc
%patch3 -p1 -b .paths


%build
%configure2_5x --prefix=%_prefix

%make 

%install
rm -rf $RPM_BUILD_ROOT
make install SHOTS_DIR=. DESTDIR=$RPM_BUILD_ROOT

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=OpenUniverse Space Simulator
GenericName=Space Simulator
Comment=Explore the solar system in this accurate simulation
Type=Application
Exec=%{name}
Icon=%{name}
Categories=X-MandrivaLinux-MoreApplications-Education-Sciences;
EOF

# Manual
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1


# Icon
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
convert docs/cyclo.gif \
        $RPM_BUILD_ROOT%{_datadir}/pixmaps/openuniverse.png

# Fixup config file paths
install -d $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_datadir}/openuniverse/conf/ou.conf \
       $RPM_BUILD_ROOT%{_sysconfdir}
rmdir $RPM_BUILD_ROOT%{_datadir}/openuniverse/conf



%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus


%postun 
%clean_menus


%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README ChangeLog COPYING INSTALL docs/{*.html,*.gif}
%config(noreplace) %{_sysconfdir}/ou.conf
%{_bindir}/openuniverse
%{_datadir}/openuniverse
%{_mandir}/man1/openuniverse.1*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png



%changelog
* Fri Aug 26 2016 adrianomorselli <adrianomorselli> 1.0beta3-1uplos2012
- rebuild

* Tue Oct 16 2012 Neal <nealbrks0 at gmail dot com> 1.0beta3-1pclos2012
- add lib macro
- process

* Mon Oct 15 2012 Ken <lxgator at gmail.com> 1.0beta3-1pclos2012
- initial build
